Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openxri.urimapper.impl
Class FolderURIMapper

    java.lang.Object
      org.openxri.config.impl.AbstractComponent
          org.openxri.urimapper.impl.RegexURIMapper
              org.openxri.urimapper.impl.FolderURIMapper

All Implemented Interfaces:
  java.io.Serializable, Component, URIMapper

    public class FolderURIMapper

extends RegexURIMapper

Implements the URIMapper interface, using a folder structure for URLs. Does not use the query string if there is one. If you use this mapper, your server will respond to URLs like this one: http://yourdomain.com/ns/@free/*earth*moon (Assuming @free has an authority resolution service endpoint pointing to your server)

Author:
  =peacekeeper
See Also:
  Serialized Form

Field Summary
`static java.util.regex.Pattern` | `namespacePattern`
`static java.util.regex.Pattern` | `queryPattern`

Fields inherited from class org.openxri.config.impl.AbstractComponent
`properties`

Constructor Summary
`FolderURIMapper(java.util.Properties properties)`

Method Summary
`void` | `completeURI(java.lang.StringBuffer uri, java.lang.String namespace)` Appends the needed namespace to the provided URI for resolution to this server
`void` | `init()` A server component is constructed by the ComponentRegistry by passing a Properties object to its constructor and then calling this init() method.

Methods inherited from class org.openxri.urimapper.impl.RegexURIMapper
`getNamespacePattern, getQueryPattern, parseRequest, setNamespacePattern, setQueryPattern`

Methods inherited from class org.openxri.config.impl.AbstractComponent
`getProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.openxri.config.Component
`getProperties`

Field Detail

### namespacePattern

    public static final java.util.regex.Pattern namespacePattern

### queryPattern

    public static final java.util.regex.Pattern queryPattern

Constructor Detail

### FolderURIMapper

    public FolderURIMapper(java.util.Properties properties)

Method Detail

### init

    public void init()

  Description copied from interface: `Component`
  A server component is constructed by the ComponentRegistry by passing a Properties object to its constructor and then calling this init() method.

### completeURI

    public void completeURI(java.lang.StringBuffer uri,
                            java.lang.String namespace)

  Description copied from interface: `URIMapper`
  Appends the needed namespace to the provided URI for resolution to this server

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2009. All Rights Reserved.